import numpy as np
import scipy.stats
import matplotlib.pyplot as plt

p = 0.5
n_trials = 10
for t in range(20):
    v = scipy.stats.binom.rvs(n_trials, p)
    print(v, end = ' ')

    
data = scipy.stats.binom.rvs(n_trials, p, size = 100000)
x_range = [i - 0.5 for i in range(12)]
plt.hist(data, bins = x_range)
plt.show()


n_trials = 1000
raw_v = scipy.stats.binom.rvs(n_trials, p, size = 100000)
z_v = (raw_v - n_trials * p) / ((n_trials * p * (1 - p)) ** 0.5)
z_indx = [ v for v in np.arange(-3.0, 3.3, 0.4)]
plt.hist(z_v, bins = z_indx, density = True)

rng_x = np.arange(-3, 3, 0.1)
fv_norm = [scipy.stats.norm.pdf(x) for x in rng_x]
plt.plot(rng_x, fv_norm, color = 'r', linestyle = '-', linewidth = 3)
plt.show()
